%global momorel 1

Summary: A PDF file viewer for the X Window System.
Name: gpdf
Version: 2.8.2
Release: %{momorel}m
License: GPL
Group: Applications/Publishing
URL: http://www.gnome.org

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.8/%{name}-%{version}.tar.bz2 d7d87c097aa0e5fbb9a7cf2d039db609

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libgnomeui-devel >= 2.8.0
BuildPrereq: libgnomeprintui-devel >= 2.8.1
BuildPrereq: gcc-c++ >= 3.4.3

%description
gpdf is an X Window System based viewer for Portable Document Format
(PDF) files.  PDF files are sometimes called Acrobat files, after
Adobe Acrobat (Adobe's PDF viewer).
#'

%prep
%setup -q

%build
autoconf
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  %{buildroot}%{_datadir}/applications/gpdf.desktop

%find_lang %name

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING CHANGES NEWS AUTHORS README README.GPdf
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome/help/gpdf
%{_datadir}/omf/gpdf
%{_libdir}/bonobo/servers/*
%{_libexecdir}/*
%{_datadir}/applications/*
%{_datadir}/application-registry/gpdf.applications
%{_datadir}/gpdf/
%{_datadir}/mime-info/gpdf.keys
%{_sysconfdir}/gconf/schemas/gpdf.schemas

%changelog
* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.2-1m)
- version 2.8.2
- GNOME 2.8 Desktop
- remove patch gpdf-0.131-gpdf-control-segfault.patch
- remove patch gpdf-0.103-xpdf-mungeURL.patch
- remove patch gpdf-xpdf_fix.patch

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.131-3m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Jul 28 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (0.131-2m)
- add patch0 in order to avoid segfault in gpdf-control.cc
- re-enable gpdf-0.103-xpdf-mungeURL.patch for security fix
- re-enable gpdf-xpdf_fix.patch

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (0.131-1m)
- version up.

* Thu Oct 30 2003 Kenta MURATA <muraken2@nifty.com>
- (0.103-2m)
- pretty spec file.

* Fri Jun 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.103-2m)
- [security] add xpdf-2.02pl1.patch
    See http://www.kb.cert.org/vuls/id/200132

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.103-1m)
- version 0.103

* Thu Jun  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.102-5m)
- update patch

* Wed Jun  4 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.102-4m)
- update patch

* Sun Jun  1 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.102-3m)
- update patch

* Fri May 30 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.102-2m)
- improve GnomeFontFace selector.

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.102-1m)
- version 0.102

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.101-1m)
- version 0.101

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.100-1m)
- version 0.100
